#!/usr/bin/env node

/* It is possible to log information into the CA's logfile
   using console.{trace,debug,log,warn,error} */
let script = process.argv[0];
let phase = process.argv[1];
console.log(`executing ${script} during ${phase} phase`);

/* Environment variables, that begin with `CA_`, `HOSTNAME`,
and `BASE_DN` are available via `process.env` */
console.log(`HOSTNAME: ${process.env.HOSTNAME}`);
console.log(`BASE_DN: ${process.env.BASE_DN}`);

/* Original certificate signing request provided by the client
   as PEM. */
const order = JSON.parse(process.argv[2]);
/* Write order given into logfile */
console.debug(`order: ${JSON.stringify(order)}`);

/* Throwing something rejects order */
throw new Error("I don't like this order");
